<div class="mi-dat-timeseries-value">
  <div class="container" ng-style="getSymbolMainStyles()">
    <table class="table">
      <thead ng-show="config.ShowLabel">
        <tr>
          <th ng-style="getSymbolLabelStyles()" scope="col" colspan="2">{{ Label }}</th>
        </tr>
      </thead>
      <thead>
        <tr>
          <th scope="col" ng-show="shouldShowColumn('Timestamp')" ng-style="getSymbolHeaderStyles('Timestamp')">
            <i ng-click="openTableColumnSettingsModal()" role="button" class="fa-solid fa-gear" ng-style="getSymbolColumnSettingStyles()"></i>
            Timestamp
            <span
              role="button"
              class="fa-solid"
              ng-click="changeTimestampOrder()"
              ng-style="getSymbolSortIconStyles()"
              ng-class="{'fa-sort-up': !TimestampDescending, 'fa-sort-down': TimestampDescending}"
            ></span>
          </th>
          <th scope="col" ng-show="shouldShowColumn('Value')" ng-style="getSymbolHeaderStyles('Value')">
            <i ng-click="openTableColumnSettingsModal()" role="button" class="fa-solid fa-gear" ng-style="getSymbolColumnSettingStyles()"></i>
            Value
          </th>
        </tr>
      </thead>
      <tbody>
        <tr ng-repeat="item in Values">
          <td
            ng-show="shouldShowColumn('Timestamp')"
            ng-style="$even ? getSymbolRowStyles('even', 'Timestamp') : getSymbolRowStyles('odd', 'Timestamp')"
          >
            {{ runtimeData.formatTimestamp(item.Time, config.DateStyle, config.TimeStyle) }}
          </td>
          <td ng-show="shouldShowColumn('Value')" ng-style="$even ? getSymbolRowStyles('even', 'Value') : getSymbolRowStyles('odd', 'Value')">
            {{ item.Value }}
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="modal fade mi-dat-timeseries-value-table-settings" tabindex="-1" aria-labelledby="exampleModalLabel-table-settings" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header" ng-style="getModalSectionStyles('header')">
          <p class="modal-title" id="exampleModalLabel-table-settings">Column Settings</p>
        </div>

        <div class="modal-body" ng-style="getModalSectionStyles('body')">
          <div class="config-option-single-row">
            <select
              ng-model="SelectedColumnSettingName"
              ng-options="settingKey for settingKey in ColumnSettingKeys"
              ng-change="changeSelectedColumnSetting()"
              ng-style="getFormSelectStyles()"
              class="form-select"
            ></select>
          </div>

          <div class="row align-items-center" style="width: 100%; margin: 10px 0 5px">
            <div class="col text-start" style="padding: 0">Show Column</div>
            <div class="col text-start">
              <input
                ng-model="SelectedColumnSetting.Show"
                ng-style="getFormCheckboxStyles(SelectedColumnSetting.Show)"
                class="form-check-input"
                type="checkbox"
              />
            </div>
          </div>

          <div class="row align-items-center" style="width: 100%; margin: 10px 0 5px">
            <div class="col text-start" style="padding: 0">Column Width</div>
            <div class="col">
              <input
                type="text"
                ng-keydown="runtimeData.allowOnlyNumericInput($event)"
                ng-model="SelectedColumnSetting.Width"
                ng-style="getFormInputStyles()"
                class="form-control"
              />
            </div>
          </div>
        </div>

        <div class="modal-footer" ng-style="getModalSectionStyles('footer')">
          <button type="button" ng-click="closeTableColumnSettingsModal()" ng-style="getButtonStyles('close')" class="btn">Close</button>
          <button type="button" ng-click="saveColumnSetting()" ng-disabled="canSaveColumnSetting()" ng-style="getButtonStyles('save')" class="btn">
            Save changes
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
